Skip to content

Get incident timeline

GET
/api/v1/incidents/{incident_id}/timeline
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/incidents/example/timeline?tenant_id=example' \
--header 'X-API-Key: <X-API-Key>'

Returns chronological incident timeline.

incident_id
required
Incident Id
string
tenant_id
required
Tenant Id

Tenant identifier

string

Tenant identifier

Successful Response

Media typeapplication/json
IncidentTimeline

Chronological timeline of events during an incident.

Args: incident_id: The incident this timeline belongs to. entries: List of timeline entries sorted by timestamp. window_start: Start of the incident window (ISO). window_end: End of the incident window (ISO).

object
entries
Entries
Array<object>
TimelineEntry

A single entry in an incident timeline.

Args: timestamp: ISO timestamp of the event. source: Event source (error_tracker, metrics, health, runbook, escalation). description: Human-readable event description. severity: Severity level of the event. data: Optional additional structured data.

object
data
Any of:
object
key
additional properties
any
description
Description
string
""
severity
Severity
string
default: info
source
Source
string
""
timestamp
Timestamp
string
incident_id
Incident Id
string
""
window_end
Window End
string
""
window_start
Window Start
string
""
Example
{
"entries": [
{
"description": "",
"severity": "info",
"source": ""
}
],
"incident_id": "",
"window_end": "",
"window_start": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}